using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableresignaddcommander2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CommanderApproveReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลอนุมัติผู้บังคับบัญชา")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "OligarchApproveReason",
                table: "RetirementResigns",
                type: "longtext",
                nullable: true,
                comment: "เหตุผลอนุมัติผู้ดูแล")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CommanderApproveReason",
                table: "RetirementResigns");

            migrationBuilder.DropColumn(
                name: "OligarchApproveReason",
                table: "RetirementResigns");
        }
    }
}
